<template lang="pug">
.modal.is-active( v-if='active' )
	.modal-background( @click='emit("close")' )
	.modal-content
		b-card
			clients-table( :clients='clients' :loading='pending' @select='emit("select", $event)' )
	.modal-close( @click='emit("close")' )
</template>

<script setup>
import ClientsTable from "@/components/client/Table.vue"

import { useClientsStore } from "@/stores/clients"
import { computed, onMounted } from "vue"

const props = defineProps({
	active: Boolean
})
const emit = defineEmits([ "select", "close" ])

const cs = useClientsStore()

const clients = computed(() => cs.clients)
const pending = computed(() => cs.pending)

const fetch = async () => {
	await cs.getClients()
}

onMounted(fetch)
</script>

<style lang="scss" scoped>
.modal-content {
	max-width: 1000px;
	width: 100%;
}
</style>